paso::PasoException Class Reference

PasoException exception class. More...

`#include <PasoException.h>`

Inheritance diagram for paso::PasoException:

## Public Member Functions

| PasoException (const std::string &str)
virtual | ~PasoException () throw ()
Public Member Functions inherited from escript::EsysException
| EsysException (const std::string &message)
| Constructor which creates an Exception with the given message. More...
virtual | ~EsysException () throw ()
| Destructor. More...
virtual const char * | what () const throw ()
| Returns a description of the exception. More...

## Detailed Description

PasoException exception class.

Description: PasoException exception class. The class provides a public function returning the exception name

## Constructor & Destructor Documentation

## PasoException()

paso::PasoException::PasoException | ( | const std::string & | str | ) |

inline

## ~PasoException()

virtual paso::PasoException::~PasoException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

The documentation for this class was generated from the following file:

- PasoException.h